%define shortname starterbar
%define name gdesklets-%{shortname}
%define version 0.30
%define release 2mdk
%define archivename %{shortname}-desklet-%{version}

Name:           %{name}
Summary:        StarterBar sensor and display for gDesklets
Version:        %{version}
Release:        %{release}
Url:		http://gdesklets.gnomedesktop.org/categories.php?func=gd_show_app&gd_app_id=13
Source0:	%{archivename}.tar.bz2
Source1:	Makefile_install_scripts.tar.bz2
Group:		Graphical desktop/GNOME
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch:	noarch
Provides:       gdesklets-display
Requires:	gdesklets
Requires:	gnome-python-gnomevfs

%description
An icon bar for GNOME where you can put starters into.
Yes, you can do the same with the GNOME panel,
but this one is pure eye candy!
The package contains the StarterBar sensor and a display.

To add the display, use :
  gdesklets-add-%{shortname}-display

%prep
%setup -q -n %{archivename} -a 1

%build
%make PACKAGE_NAME=%{shortname}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std PACKAGE_NAME=%{shortname}
rm -f %buildroot%_datadir/gdesklets/Sensors/StarterBar/.#*
for subdir in %buildroot%_datadir/gdesklets/Sensors/StarterBar/locale/*;do
echo "%lang($(basename $subdir)) $(echo $subdir|sed s!%buildroot!!)" >> %name.lang
done

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-,root,root)
%doc INSTALL README
%{_datadir}/gdesklets/Displays/starterbar
%dir %{_datadir}/gdesklets/Sensors/StarterBar
%{_datadir}/gdesklets/Sensors/StarterBar/*.py
%{_datadir}/gdesklets/Sensors/StarterBar/.order
%{_datadir}/gdesklets/Sensors/StarterBar/home.desktop
%doc %{_datadir}/gdesklets/Sensors/StarterBar/ChangeLog
%dir %_datadir/gdesklets/Sensors/StarterBar/locale/
%{_bindir}/gdesklets-add-%{shortname}-display

%changelog
* Tue Aug 24 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.30-2mdk
- update source1 for 0.30

* Wed Mar 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.30-1mdk
- automaticall generate locale file listing
- new version

* Sat Feb  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.22.1-2mdk
- fix directory ownership

* Sun Nov  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.22.1-1mdk
- new version

* Tue Oct 21 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.20-2mdk
- fix deps

* Mon Oct 20 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.20-1mdk
- add locale files to %%lang
- don't package the backup files
- fix URL
- new version

* Fri Aug 22 2003 Olivier Blin <oliv.blin@laposte.net> 0.11-1mdk 
- Initial release for Mandrake
  thanks to Jason Tacakberry <tack@auc.ca> (RH packager) for his help
- Creation of Makefile and install scripts
- Creation of gdesklets-add-*-display scripts to add new displays
